com.corticon.eclipse.studio.database.access.core

## Interface IDatabaseAccessAPI

- All Superinterfaces:
    IModelAPI

      public interface IDatabaseAccessAPI
      extends IModelAPI

  Database Access API provides functions needed to support the Enterprise Data Connector (EDC). Functions include connection testing, database metadata import, create/update database schema, create/update RuleMessages table, Hibernate metadata document creation and JDBC properties management.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `clearDatabaseMetadata()` Clear database metadata.
    `boolean` | `createUpdateDatabaseSchema()` Create or update the database schema to match Vocabulary.
    `boolean` | `exportDatabaseAccessProperties(org.eclipse.emf.common.util.URI aURIExportedFileSelected)` Export the Database Access Properties from the Vocabulary to a specified URL
    `boolean` | `importDatabaseMetadata()` Import the database metadata.
    `boolean` | `importEnumerationElements()` Import enumeration elements.
    `boolean` | `isEnabledClearDatabaseMetadata()` Returns `true` if function should be enabled.
    `boolean` | `isEnabledCreateUpdateDatabaseSchema()` Returns `true` if function should be enabled.
    `boolean` | `isEnabledExportDatabaseAccessProperties()` Determine whether Export Database Access Properties function is enabled.
    `boolean` | `isEnabledImportDatabaseMetadata()` Determine whether Import Database Metadata function is enabled.
    `boolean` | `isEnabledImportEnumerationElements()` Determine whether Import Enumeration Elements function is enabled.
    `boolean` | `isEnabledValidateMappings()` Returns `true` if function should be enabled.
    `void` | `setVocabularyModelAPI(IVocabularyModelAPI aIVocabularyModelAPI)` Setter for reference to Vocabulary model API (required).
    `boolean` | `validateMappings()` Validate mappings.

    - ### Methods inherited from interface com.corticon.eclipse.core.IModelAPI

      `activate, addAnnotation, addBatchedModelListener, addLowLevelModelListener, addModelListener, addResourceListener, addView, beginTransaction, cancelTransaction, canSetSupportedLocales, closeResource, createResource, deleteAnnotation, deleteAnnotation, deleteAnnotation, deleteResource, displayMessageBox, dispose, doPostLoadValidation, doSmartValidation, endTransaction, endTransaction, flushCommandStack, formatValidationMessageLocation, formatValidationMessageText, getAllLocalesProvidingCompleteLocalization, getAnnotation, getAnnotations, getAnnotations, getAnnotations, getAPIContextObject, getAsset, getBaseAttribute, getBaseAttributeString, getBatchedModelListeners, getBuildNumber, getBuildNumberOfLastValidationRulesChange, getEditingDomain, getErrors, getErrors, getIndexByLocale, getLocale, getLocalizedAttribute, getLocalizedAttributeString, getLowLevelModelListeners, getMajorServiceNumber, getMajorVersionNumber, getMessage, getMessage, getMessageBase, getMessageBoxDelegate, getMinorServiceNumber, getMinorVersionNumber, getModelAPIState, getModelListeners, getNewResourceName, getPersistenceServicesDelegate, getPreferences, getPrimaryResource, getPrimaryResourceURI, getScrollableMessageDelegate, getSupportedLocales, getSuppressBrokenLinkValidation, getSuppressValidation, getToolTip, getUpdateStamp, getUserInterfaceInfoDelegate, getValidationMessageCount, getValidationMessageCount, getValidationMessageCount, getValidationMessageCount, getValidationMessages, getValidationMessages, getWarnings, getWarnings, handleException, hasErrors, hasErrors, hasErrors, hasErrors, hasErrors, hasErrors, hasErrorsOrWarnings, hasErrorsOrWarnings, hasErrorsOrWarnings, hasErrorsOrWarnings, hasErrorsOrWarnings, hasErrorsOrWarnings, hasWarnings, hasWarnings, hasWarnings, hasWarnings, hasWarnings, hasWarnings, isAPIStateEstablished, isEnabledRedo, isEnabledUndo, isInhibitNotification, isLoaded, isOperationModeNormal, isOperationModeRedo, isOperationModeUndo, isPassive, isPostLoadInProgress, isPrimaryResourceSet, isReadOnly, isResourceActivated, isResourceConflict, isResourceDemandLoaded, isResourceLoaded, isScrollableMessageDelegateAvailable, isShowCanonicalValidationMessages, isSuppressModifiedFlagUpdates, isSuppressPostLoad, isTransactionInProgress, isValid, isValid, loadResource, loadResource, loadResource, newInstance, noOperation, postLoad, postMethod, postMethod, postsave, preMethod, presave, redo, reloadResource, remapResource, remapResource, removeBatchedModelListener, removeLowLevelModelListener, removeModelListener, removeResource, removeResourceListener, removeView, renameResource, rollbackTransaction, saveAll, saveResource, setAnnotation, setAPIContextObject, setAPIState, setBuildNumber, setEditingDomain, setInhibitNotification, setLocale, setMajorServiceNumber, setMajorVersionNumber, setMessageBoxDelegate, setMinorServiceNumber, setMinorVersionNumber, setModelAPIState, setModelListeners, setPassive, setPersistenceServicesDelegate, setPostLoadInProgress, setPreferencesDelegate, setPrimaryResource, setReadOnly, setScrollableMessageDelegate, setSupportedLocales, setSuppressBrokenLinkValidation, setSuppressModifiedFlagUpdates, setSuppressPostLoad, setSuppressValidation, setUserInterfaceInfoDelegate, undo, unloadResource, validate, validateLicense`

- - ### Method Detail

    - #### clearDatabaseMetadata

          boolean clearDatabaseMetadata()

      Clear database metadata.
      Returns:
        `true` if the command was successful.

    - #### createUpdateDatabaseSchema

          boolean createUpdateDatabaseSchema()

      Create or update the database schema to match Vocabulary.
      Returns:
        `true` if function was successful.

    - #### importDatabaseMetadata

          boolean importDatabaseMetadata()

      Import the database metadata.
      Returns:
        `true` if the command was successful.

    - #### importEnumerationElements

          boolean importEnumerationElements()

      Import enumeration elements.
      Returns:
        `true` if the command was successful.

    - #### isEnabledClearDatabaseMetadata

          boolean isEnabledClearDatabaseMetadata()

      Returns `true` if function should be enabled.
      Returns:
        `true` if function should be enabled.

    - #### isEnabledCreateUpdateDatabaseSchema

          boolean isEnabledCreateUpdateDatabaseSchema()

      Returns `true` if function should be enabled.
      Returns:
        `true` if function should be enabled.

    - #### isEnabledImportDatabaseMetadata

          boolean isEnabledImportDatabaseMetadata()

      Determine whether Import Database Metadata function is enabled.
      Returns:
        `true` if function should be enabled.

    - #### isEnabledImportEnumerationElements

          boolean isEnabledImportEnumerationElements()

      Determine whether Import Enumeration Elements function is enabled.
      Returns:
        `true` if function should be enabled.

    - #### isEnabledExportDatabaseAccessProperties

          boolean isEnabledExportDatabaseAccessProperties()

      Determine whether Export Database Access Properties function is enabled.
      Returns:
        `true` if function should be enabled.

    - #### isEnabledValidateMappings

          boolean isEnabledValidateMappings()

      Returns `true` if function should be enabled.
      Returns:
        `true` if function should be enabled.

    - #### exportDatabaseAccessProperties

          boolean exportDatabaseAccessProperties(org.eclipse.emf.common.util.URI aURIExportedFileSelected)

      Export the Database Access Properties from the Vocabulary to a specified URL
      Returns:
        `true` if function was successful.

    - #### setVocabularyModelAPI

          void setVocabularyModelAPI(IVocabularyModelAPI aIVocabularyModelAPI)

      Setter for reference to Vocabulary model API (required).
      Parameters:
        `aIVocabularyModelAPI` - Vocabulary model API instance.

    - #### validateMappings

          boolean validateMappings()

      Validate mappings.
      Returns:
        `true` if the command was successful.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.